Represents an attribute whose values are SAMBA passwords

package | phpLDAPadmin
subpackage | Templates

### Methods

## __construct()

    __construct($name, $values, $server_id, $source)

Inherited

inherited_from | \Attribute::__construct()
inherited_from | \PasswordAttribute::__construct()

### Parameters

#### $name

#### $values

#### $server_id

#### $source

## addValue()

    addValue($new_val, $i)

Inherited

inherited_from | \Attribute::addValue()
inherited_from | \PasswordAttribute::addValue()

### Parameters

#### $new_val

#### $i

## Autovalue is called after the attribute is initialised, and thus the values from the ldap server will be set.

    autoValue($new_val)

Inherited

inherited_from | \Attribute::autoValue()
inherited_from | \PasswordAttribute::autoValue()

### Parameters

#### $new_val

## clearValue()

    clearValue()

Inherited

inherited_from | \Attribute::clearValue()
inherited_from | \PasswordAttribute::clearValue()

## delValue()

    delValue($i)

Inherited

inherited_from | \Attribute::delValue()
inherited_from | \PasswordAttribute::delValue()

### Parameters

#### $i

## Display the values removed in an attribute.

    getAddedValues()

Inherited

inherited_from | \Attribute::getAddedValues()
inherited_from | \PasswordAttribute::getAddedValues()

## Return a list of aliases for this Attribute (as defined by the schema) This list will be lowercase.

    getAliases()

Inherited

inherited_from | \Attribute::getAliases()
inherited_from | \PasswordAttribute::getAliases()

## getAutoValue()

    getAutoValue()

Inherited

inherited_from | \Attribute::getAutoValue()
inherited_from | \PasswordAttribute::getAutoValue()

## getDescription()

    getDescription()

Inherited

inherited_from | \Attribute::getDescription()
inherited_from | \PasswordAttribute::getDescription()

## getFriendlyName()

    getFriendlyName()

Inherited

inherited_from | \Attribute::getFriendlyName()
inherited_from | \PasswordAttribute::getFriendlyName()

## getHelper()

    getHelper()

Inherited

inherited_from | \Attribute::getHelper()
inherited_from | \PasswordAttribute::getHelper()

## getHelperValue()

    getHelperValue()

Inherited

inherited_from | \Attribute::getHelperValue()
inherited_from | \PasswordAttribute::getHelperValue()

## getHint()

    getHint()

Inherited

inherited_from | \Attribute::getHint()
inherited_from | \PasswordAttribute::getHint()

## getIcon()

    getIcon()

Inherited

inherited_from | \Attribute::getIcon()
inherited_from | \PasswordAttribute::getIcon()

## getLDAPtype()

    getLDAPtype()

Inherited

inherited_from | \Attribute::getLDAPtype()
inherited_from | \PasswordAttribute::getLDAPtype()

## getMaxLength()

    getMaxLength()

Inherited

inherited_from | \Attribute::getMaxLength()
inherited_from | \PasswordAttribute::getMaxLength()

## getMaxValueCount()

    getMaxValueCount()

Inherited

inherited_from | \Attribute::getMaxValueCount()
inherited_from | \PasswordAttribute::getMaxValueCount()

## getMinValueCount()

    getMinValueCount()

Inherited

inherited_from | \Attribute::getMinValueCount()
inherited_from | \PasswordAttribute::getMinValueCount()

## Return the name of the attribute.

    getName(boolean $lower, boolean $real) : string

Inherited

inherited_from | \Attribute::getName()
inherited_from | \PasswordAttribute::getName()

### Parameters

#### $lower

`boolean`

- Return the attribute in normal or lower case (default lower)

#### $real

`boolean`

- Return the real attribute name (with ;binary, or just the name)

### Returns

`string`Attribute name

## getOldValue()

    getOldValue($i)

Inherited

inherited_from | \Attribute::getOldValue()
inherited_from | \PasswordAttribute::getOldValue()

### Parameters

#### $i

## getOldValues()

    getOldValues()

Inherited

inherited_from | \Attribute::getOldValues()
inherited_from | \PasswordAttribute::getOldValues()

## getOnChange()

    getOnChange()

Inherited

inherited_from | \Attribute::getOnChange()
inherited_from | \PasswordAttribute::getOnChange()

## getPage()

    getPage()

Inherited

inherited_from | \Attribute::getPage()
inherited_from | \PasswordAttribute::getPage()

## getPostValue()

    getPostValue()

Inherited

inherited_from | \Attribute::getPostValue()
inherited_from | \PasswordAttribute::getPostValue()

## Display the values removed in an attribute.

    getRemovedValues()

Inherited

inherited_from | \Attribute::getRemovedValues()
inherited_from | \PasswordAttribute::getRemovedValues()

## getSize()

    getSize()

Inherited

inherited_from | \Attribute::getSize()
inherited_from | \PasswordAttribute::getSize()

## getSource()

    getSource()

Inherited

inherited_from | \Attribute::getSource()
inherited_from | \PasswordAttribute::getSource()

## getSpacer()

    getSpacer()

Inherited

inherited_from | \Attribute::getSpacer()
inherited_from | \PasswordAttribute::getSpacer()

## getType()

    getType()

Inherited

inherited_from | \Attribute::getType()
inherited_from | \PasswordAttribute::getType()

## getValue()

    getValue($i)

Inherited

inherited_from | \Attribute::getValue()
inherited_from | \PasswordAttribute::getValue()

### Parameters

#### $i

## getValueCount()

    getValueCount()

Inherited

inherited_from | \Attribute::getValueCount()
inherited_from | \PasswordAttribute::getValueCount()

## getValues()

    getValues()

Inherited

inherited_from | \Attribute::getValues()
inherited_from | \PasswordAttribute::getValues()

## getVerify()

    getVerify()

Inherited

inherited_from | \Attribute::getVerify()
inherited_from | \PasswordAttribute::getVerify()

## hasBeenModified()

    hasBeenModified()

Inherited

inherited_from | \Attribute::hasBeenModified()
inherited_from | \PasswordAttribute::hasBeenModified()

## haveFriendlyName()

    haveFriendlyName()

Inherited

inherited_from | \Attribute::haveFriendlyName()
inherited_from | \PasswordAttribute::haveFriendlyName()

## haveMoreValues()

    haveMoreValues()

Inherited

inherited_from | \Attribute::haveMoreValues()
inherited_from | \PasswordAttribute::haveMoreValues()

## hide()

    hide()

Inherited

inherited_from | \Attribute::hide()
inherited_from | \PasswordAttribute::hide()

## initValue()

    initValue($new_val)

Inherited

inherited_from | \Attribute::initValue()
inherited_from | \PasswordAttribute::initValue()

### Parameters

#### $new_val

## isForceDelete()

    isForceDelete()

Inherited

inherited_from | \Attribute::isForceDelete()
inherited_from | \PasswordAttribute::isForceDelete()

## isInternal()

    isInternal()

Inherited

inherited_from | \Attribute::isInternal()
inherited_from | \PasswordAttribute::isInternal()

## isMay()

    isMay()

Inherited

inherited_from | \Attribute::isMay()
inherited_from | \PasswordAttribute::isMay()

## isMultiple()

    isMultiple()

Inherited

inherited_from | \Attribute::isMultiple()
inherited_from | \PasswordAttribute::isMultiple()

## Return if this attribute is an RDN attribute

    isRDN() : boolean

Inherited

inherited_from | \Attribute::isRDN()
inherited_from | \PasswordAttribute::isRDN()

### Returns

`boolean`

## isReadOnly()

    isReadOnly()

Inherited

inherited_from | \Attribute::isReadOnly()
inherited_from | \PasswordAttribute::isReadOnly()

## isRequired()

    isRequired()

Inherited

inherited_from | \Attribute::isRequired()
inherited_from | \PasswordAttribute::isRequired()

## isVisible()

    isVisible()

Inherited

inherited_from | \Attribute::isVisible()
inherited_from | \PasswordAttribute::isVisible()

## justModified()

    justModified()

Inherited

inherited_from | \Attribute::justModified()
inherited_from | \PasswordAttribute::justModified()

## Does this attribute need supporting JS

    needJS($type)

Inherited

inherited_from | \Attribute::needJS()
inherited_from | \PasswordAttribute::needJS()

### Parameters

#### $type

## setDescription()

    setDescription($description)

Inherited

inherited_from | \Attribute::setDescription()
inherited_from | \PasswordAttribute::setDescription()

### Parameters

#### $description

## setForceDelete()

    setForceDelete()

Inherited

inherited_from | \Attribute::setForceDelete()
inherited_from | \PasswordAttribute::setForceDelete()

## setHint()

    setHint($hint)

Inherited

inherited_from | \Attribute::setHint()
inherited_from | \PasswordAttribute::setHint()

### Parameters

#### $hint

## setIcon()

    setIcon($icon)

Inherited

inherited_from | \Attribute::setIcon()
inherited_from | \PasswordAttribute::setIcon()

### Parameters

#### $icon

## setInternal()

    setInternal()

Inherited

inherited_from | \Attribute::setInternal()
inherited_from | \PasswordAttribute::setInternal()

## setLDAPtype()

    setLDAPtype($type)

Inherited

inherited_from | \Attribute::setLDAPtype()
inherited_from | \PasswordAttribute::setLDAPtype()

### Parameters

#### $type

## setMaxLength()

    setMaxLength($maxlength)

Inherited

inherited_from | \Attribute::setMaxLength()
inherited_from | \PasswordAttribute::setMaxLength()

### Parameters

#### $maxlength

## setMaxValueCount()

    setMaxValueCount($max)

Inherited

inherited_from | \Attribute::setMaxValueCount()
inherited_from | \PasswordAttribute::setMaxValueCount()

### Parameters

#### $max

## setMinValueCount()

    setMinValueCount($min)

Inherited

inherited_from | \Attribute::setMinValueCount()
inherited_from | \PasswordAttribute::setMinValueCount()

### Parameters

#### $min

## setOldValue()

    setOldValue($val)

Inherited

inherited_from | \Attribute::setOldValue()
inherited_from | \PasswordAttribute::setOldValue()

### Parameters

#### $val

## setOptional()

    setOptional()

Inherited

inherited_from | \Attribute::setOptional()
inherited_from | \PasswordAttribute::setOptional()

## setPage()

    setPage($page)

Inherited

inherited_from | \Attribute::setPage()
inherited_from | \PasswordAttribute::setPage()

### Parameters

#### $page

## setPostValue()

    setPostValue($postvalue)

Inherited

inherited_from | \Attribute::setPostValue()
inherited_from | \PasswordAttribute::setPostValue()

### Parameters

#### $postvalue

## setProperties()

    setProperties($properties)

Inherited

inherited_from | \Attribute::setProperties()
inherited_from | \PasswordAttribute::setProperties()

### Parameters

#### $properties

## setRDN()

    setRDN($rdn)

Inherited

inherited_from | \Attribute::setRDN()
inherited_from | \PasswordAttribute::setRDN()

### Parameters

#### $rdn

## setReadOnly()

    setReadOnly()

Inherited

inherited_from | \Attribute::setReadOnly()
inherited_from | \PasswordAttribute::setReadOnly()

## setRequired()

    setRequired()

Inherited

inherited_from | \Attribute::setRequired()
inherited_from | \PasswordAttribute::setRequired()

## setSize()

    setSize($size)

Inherited

inherited_from | \Attribute::setSize()
inherited_from | \PasswordAttribute::setSize()

### Parameters

#### $size

## setType()

    setType($type)

Inherited

inherited_from | \Attribute::setType()
inherited_from | \PasswordAttribute::setType()

### Parameters

#### $type

## setValue()

    setValue($new_val)

Inherited

inherited_from | \Attribute::setValue()
inherited_from | \PasswordAttribute::setValue()

### Parameters

#### $new_val

## setXML()

    setXML($values)

Inherited

inherited_from | \Attribute::setXML()
inherited_from | \PasswordAttribute::setXML()

### Parameters

#### $values

## show()

    show()

Inherited

inherited_from | \Attribute::show()
inherited_from | \PasswordAttribute::show()

## Prunes off anything after the ";" in an attr name.

    real_attr_name() : string

Inherited

This is useful for attributes that may have ";binary" appended to their names. With real_attr_name(), you can more easily fetch these attributes' schema with their "real" attribute name.

inherited_from | \Attribute::real_attr_name()
inherited_from | \PasswordAttribute::real_attr_name()

### Returns

`string`

## Capture all the LDAP details we are interested in

    setLDAPdetails(\sattr $sattr)

Inherited

inherited_from | \Attribute::setLDAPdetails()
inherited_from | \PasswordAttribute::setLDAPdetails()

### Parameters

#### $sattr

`\sattr`

Schema Attribute

### Properties

## $name

    $name

Inherited

inherited_from | \Attribute::$$name
inherited_from | \PasswordAttribute::$$name

## $order

    $order

Inherited

inherited_from | \Attribute::$$order
inherited_from | \PasswordAttribute::$$order

## $ordersort

    $ordersort

Inherited

inherited_from | \Attribute::$$ordersort
inherited_from | \PasswordAttribute::$$ordersort

## $page

    $page

Inherited

inherited_from | \Attribute::$$page
inherited_from | \PasswordAttribute::$$page

## $rdn

    $rdn

Inherited

inherited_from | \Attribute::$$rdn
inherited_from | \PasswordAttribute::$$rdn

## $aliases

    $aliases

Inherited

inherited_from | \Attribute::$$aliases
inherited_from | \PasswordAttribute::$$aliases

## $autovalue

    $autovalue

Inherited

inherited_from | \Attribute::$$autovalue
inherited_from | \PasswordAttribute::$$autovalue

## $cols

    $cols

Inherited

inherited_from | \Attribute::$$cols
inherited_from | \PasswordAttribute::$$cols

## $display

    $display

Inherited

inherited_from | \Attribute::$$display
inherited_from | \PasswordAttribute::$$display

## $forcedelete

    $forcedelete

Inherited

inherited_from | \Attribute::$$forcedelete
inherited_from | \PasswordAttribute::$$forcedelete

## $forcehide

    $forcehide

Inherited

inherited_from | \Attribute::$$forcehide
inherited_from | \PasswordAttribute::$$forcehide

## $helper

    $helper

Inherited

inherited_from | \Attribute::$$helper
inherited_from | \PasswordAttribute::$$helper

## $helpervalue

    $helpervalue

Inherited

inherited_from | \Attribute::$$helpervalue
inherited_from | \PasswordAttribute::$$helpervalue

## $hint

    $hint

Inherited

inherited_from | \Attribute::$$hint
inherited_from | \PasswordAttribute::$$hint

## $icon

    $icon

Inherited

inherited_from | \Attribute::$$icon
inherited_from | \PasswordAttribute::$$icon

## $internal

    $internal

Inherited

inherited_from | \Attribute::$$internal
inherited_from | \PasswordAttribute::$$internal

## $ldaptype

    $ldaptype

Inherited

inherited_from | \Attribute::$$ldaptype
inherited_from | \PasswordAttribute::$$ldaptype

## $max_value_count

    $max_value_count

Inherited

inherited_from | \Attribute::$$max_value_count
inherited_from | \PasswordAttribute::$$max_value_count

## $maxlength

    $maxlength

Inherited

inherited_from | \Attribute::$$maxlength
inherited_from | \PasswordAttribute::$$maxlength

## $min_value_count

    $min_value_count

Inherited

inherited_from | \Attribute::$$min_value_count
inherited_from | \PasswordAttribute::$$min_value_count

## $modified

    $modified

Inherited

inherited_from | \Attribute::$$modified
inherited_from | \PasswordAttribute::$$modified

## $oldvalues

    $oldvalues

Inherited

inherited_from | \Attribute::$$oldvalues
inherited_from | \PasswordAttribute::$$oldvalues

## $onchange

    $onchange

Inherited

inherited_from | \Attribute::$$onchange
inherited_from | \PasswordAttribute::$$onchange

## $postvalue

    $postvalue

Inherited

inherited_from | \Attribute::$$postvalue
inherited_from | \PasswordAttribute::$$postvalue

## $readonly

    $readonly

Inherited

inherited_from | \Attribute::$$readonly
inherited_from | \PasswordAttribute::$$readonly

## $rows

    $rows

Inherited

inherited_from | \Attribute::$$rows
inherited_from | \PasswordAttribute::$$rows

## $size

    $size

Inherited

inherited_from | \Attribute::$$size
inherited_from | \PasswordAttribute::$$size

## $source

    $source

Inherited

inherited_from | \Attribute::$$source
inherited_from | \PasswordAttribute::$$source

## $spacer

    $spacer

Inherited

inherited_from | \Attribute::$$spacer
inherited_from | \PasswordAttribute::$$spacer

## $type

    $type

Inherited

inherited_from | \Attribute::$$type
inherited_from | \PasswordAttribute::$$type

## $unique

    $unique

Inherited

inherited_from | \Attribute::$$unique
inherited_from | \PasswordAttribute::$$unique

## $values

    $values

Inherited

inherited_from | \Attribute::$$values
inherited_from | \PasswordAttribute::$$values

## $verify

    $verify

Inherited

inherited_from | \Attribute::$$verify
inherited_from | \PasswordAttribute::$$verify

## $visible

    $visible

Inherited

inherited_from | \Attribute::$$visible
inherited_from | \PasswordAttribute::$$visible